// honeywell_pressure.h
// (C) Bill Dally April, 2020
// Includes for honeywell pressure sensor

// Copyright 2020 Bill Dally
// 
// Licensed under the Ventilator Open Source License (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
// 
// ./LICENSE
// 
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

#define HONEYWELL_PRESS_ADC_CHAN 5
#define HONEYWELL_PRESS_2_ADC_CHAN 4

uint16_t honeywell_press_zero  ;
uint16_t honeywell_press_2_zero  ;

int16_t honeywell_get_pressure(void) ;
int16_t honeywell_get_pressure2(void) ;
void honeywell_set_zero(void) ;
void honeywell_pressure_init(void) ;
